use lazy_static::lazy_static;

pub fn authors() -> &'static [&'static str]
{
    lazy_static! {
	static ref AUTHORS: Vec<&'static str> = env!("CARGO_PKG_AUTHORS").split(":").collect();
    }

    &AUTHORS[..]
}

#[inline] pub fn print()
{
    println!("{} version {} -- {}.\n Created with <3 by {}\n Licensed with GPL 3.0 or later\n", env!("CARGO_PKG_NAME"), env!("CARGO_PKG_VERSION"), env!("CARGO_PKG_DESCRIPTION"), authors().join(", "));

}
